Installer le package rgdal sur ubuntu

[MAJ]Avec ubuntu 15.10 ce n’est plus la peine d’utiliser aptitude, le apt-get install fonctionne[/MAJ]

Le package rgdal permet l’utilisation dans R des librairies spatiales GDAL (Geospatial Data Abstraction Library) et PROJ.4 qui servent respectivement à gérer différents formats de données géographiques et les conversions de projections géographiques.

L’installation du package se fait sans problème sous Windows. En revanche sous ubuntu (versions 12.04 et 13.04 au moins) l’instruction install.packages("rgdal") renvoie le message suivant :

Error: gdal-config not found
The gdal-config script distributed with GDAL could not be found.
If you have not installed the GDAL libraries, you can
download the source from  http://www.gdal.org/
If you have installed the GDAL libraries, then make sure that
gdal-config is in your path. Try typing gdal-config at a
shell prompt and see if it runs. If not, use:
 --configure-args='--with-gdal-config=/usr/local/bin/gdal-config'
with appropriate values for your installation.

Avant d’installer le package rgdal dans R il faut installer les librairies libgdal-dev et libproj-dev dans ubuntu. Le problème étant que le gestionnaire de librairies Synaptic et les instructions apt-get n’arrivent pas à les installer.
La solution est d’utiliser aptitude, un autre installeur de librairies :

sudo apt-get install aptitude

puis d’installer les librairies en question avec ce nouvel installeur :

sudo aptitude install libgdal-dev
sudo aptitude install libproj-dev

L’installation dans R se déroule ensuite normalement.

Les informations présentées ici sont principalement issues du billet suivant : http://robinlovelace.net/r/2013/11/26/installing-rgdal-on-ubuntu.html


3 réflexions au sujet de « Installer le package rgdal sur ubuntu »

  1. Bonjour,

    Je suis sous Windows 8 et c’est la 1ère fois que j’ai des difficultés à charger un package.
    J’utilise R (version 3.2.2), RStudio (version 0.99.473)…bref R et RStudio sont assez récents puisque j’ai réalisé leur mise à jour le 18/8/2015.

    Et je n’arrive pas du tout à installer ce package. Pouvez-vous m’aider ?

    Voici le message de R :
    Installing package into ‘C:/Users/Caroline/Documents/R/win-library/3.2’
    (as ‘lib’ is unspecified)
    trying URL ‘https://cran.rstudio.com/bin/windows/contrib/3.2/rgdal_1.0-7.zip’
    Content type ‘application/zip’ length 13088608 bytes (12.5 MB)
    downloaded 12.5 MB

    package ‘rgdal’ successfully unpacked and MD5 sums checked
    Warning in install.packages :
    unable to move temporary installation ‘C:\Users\Caroline\Documents\R\win-library\3.2\file46462e5be\rgdal’ to ‘C:\Users\Caroline\Documents\R\win-library\3.2\rgdal’

    The downloaded binary packages are in
    C:\Users\Caroline\AppData\Local\Temp\RtmpmeqQXl\downloaded_packages

    Merci de votre aide.

    1. Désolée pour le dérangement !
      Après plusieurs jours d’essais, ce package ne s’installait pas et miracle…j’ai du redémarrer mon portable et cette fois-ci cela a fonctionné…

      Bonne journée.
      Caroline

      1. Bonjour,
        Et bien tant mieux! Étant plutôt linuxien, je ne suis pas trop compétent sur les install avec Windows.
        Bien à vous
        Timothée

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *